
namespace _zeitbild.service.user
{
	
	/**
	 */
	export function list(
	) : Promise<
		Array<
			{
				id : _zeitbild.type_user_id;
				name : string;
			}
		>
	>
	{
		return _zeitbild.repository.user.list();
	}
	
	
	/**
	 */
	export function identify(
		name : string
	) : Promise<_zeitbild.type_user_id>
	{
		return _zeitbild.repository.user.identify(name);
	}
	
	
	/**
	 */
	export function add(
		user_object : _zeitbild.type_user_object
	) : Promise<_zeitbild.type_user_id>
	{
		return _zeitbild.repository.user.create(user_object);
	}
	
}
